﻿@using Microsoft.AspNetCore.Identity
@using MyCity.Areas.Identity.Data
@inject SignInManager<MyCityUser> SignInManager
@inject UserManager<MyCityUser> UserManager

    <ul class="navbar-nav">
        @if (SignInManager.IsSignedIn(User))
        {
            <li class="nav-item">
                 @User.Identity.Name
            </li>
            <li class="nav-item">
                <a class="nav-link text-dark" asp-controller="Permit" asp-action="Index" title="Manage"> پیگیری درخواست ها</a>
            </li>
            <li class="nav-item">
                <form class="form-inline" asp-area="Identity" asp-page="/Account/Logout" asp-route-returnUrl="@Url.Action("Index", "Home", new { area = "" })">
                    <button type="submit" class="nav-link btn btn-link text-dark">خروج</button>
                </form>
            </li>
        }
        else
        {
            <li class="nav-item">
                <a class="nav-link text-dark" asp-area="Identity" asp-page="/Account/Register">ثبت نام</a>
            </li>
            <li class="nav-item">
                <a class="nav-link text-dark" asp-area="Identity" asp-page="/Account/Login">ورود</a>
            </li>
        }
    </ul>
